/*************************************************************************
 *
 *  An implementation of Lloyd's algorithm
 *  Copyright (C) 2013-2014 Jussi M. Hukkanen
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *************************************************************************
 *
 *  lloyd.h: main header file
 *
 ************************************************************************/

#ifndef _LLOYD_H_INCLUDED
#define _LLOYD_H_INCLUDED

#include "fortune.h"


/* function declarations */

char Lloyd(site_t *, int, site_t *,
		   vertex_t **, int *, boundary_t **, int *, celldata_t **, int *);


#endif	/* _LLOYD_H_INCLUDED */

